Bug 476914 - security policy prevents bluetooth from working
security policy prevents bluetooth from working
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 17:19 EST by Jeff Bastian
Modified: 2013-03-05 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 10:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2008-12-17 17:19:56 EST
Description of problem:
I'm not sure if this is a bluez problem or dbus problem.

I'm trying to connect my F10 system to my mobile phone via Bluetooth.  I click on the Bluetooth icon in the system tray, click on "Setup new device", and on the 2nd step of the wizard, there are no devices available to select.

This error appears in my ~/.xsession-errors file:
    Agent registration failed: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.bluez.Adapter" member "RegisterAgent" error name "(unset)" destination "org.bluez")

I then tried checking if my laptop was discoverable with the command as suggested in the BlueZ FAQ (http://wiki.bluez.org/wiki/FAQ):
    dbus-send --system --type=method_call --print-reply \
        --dest=org.bluez /org/bluez/hci0 org.bluez.Adapter.GetMode
and it returned a similar error:
    Error org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.bluez.Adapter" member "GetMode" error name "(unset)" destination "org.bluez")


Version-Release number of selected component (if applicable):
dbus-1.2.8-1.fc10.x86_64
bluez-4.19-1.fc10.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Try to configure a device using the Bluetooth wizard in the system tray
  
Actual results:
No devices are listed, and errors appear in ~/.xsession-errors

Expected results:
Bluetooth works

Additional info:
Comment 1 Jeff Bastian 2008-12-17 17:50:41 EST
I just tried a suggestion I found on
http://support.zenwalk.org/viewtopic.php?p=108827&sid=9d3715f2ffd3aca39c075f59eb155414 

I modified /etc/dbus-1/system.conf as follows:
--- /etc/dbus-1/system.conf.ORIG        2008-12-09 10:29:24.000000000 -0600
+++ /etc/dbus-1/system.conf     2008-12-17 16:42:13.000000000 -0600
@@ -55,9 +55,8 @@
     <allow receive_sender="org.freedesktop.DBus"/>
     <!-- Allow all signals to be sent by default -->
     <allow send_type="signal"/>
-    <!-- allow sending valid replies -->
-    <allow send_requested_reply="true" send_type="method_return"/>
-    <allow send_requested_reply="true" send_type="error"/>
+    <!-- allow sending replies -->
+    <allow send_requested_reply="true"/>
     <!-- allow receiving valid replies -->
     <allow receive_requested_reply="true"/>
     <!-- Note: the rule above also allows receiving of all non-reply messages


I rebooted and now Bluetooth works again.

I assume this opens security holes, so I restored my original /etc/dbus-1/system.conf and broke Bluetooth again.
Comment 2 Jeff Bastian 2008-12-18 10:39:58 EST
I "upgraded" to dbus-1.2.4-2.fc10 that was just pushed out and Bluetooth works as expected now.  I'll close this.

Note You need to log in before you can comment on or make changes to this bug.